Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).


L'icône rouge permet de télécharger chaque page du wiki visitée au format PDF et la grise au format ODT → ODT PDF Export

Installation du plug-in propriétaire d’Adobe

Nota :

Contributeurs, les FIXME sont là pour vous aider, supprimez-les une fois le problème corrigé ou le champ rempli !

Introduction

Méthode pour installer le plug-in Flash Player d'Adobe. Il existe d'autres implémentations de Flash Player. Retrouvez plus d'informations sur : Plugin Flash pour navigateurs.

Connaître la version de Flash Player installée

Cliquez sur ce lien officiel pour connaître la version du Flash Player installée sur votre système. Si vous ne voyez pas le logo animé et que vous n'avez pas de message du type : « You have version 25,0,0,148 installed », il vous faut installer le plug-in Flash.

Installation

Il est possible d'installer le plug-in Flash Player de deux façons. On peut installer directement depuis les dépôts ou installer manuellement la dernière version publiée par Adobe.

Méthode d'installation du plug-in (à partir des dépôts)

Depuis décembre 2016, Adobe propose de nouveau une version à jour de son plug-in Flash pour Firefox (NPAPI) sur Linux.

Attention, dans vos sources il faut avoir la section contrib activée !

Puis, pour installer le plug-in Adobe Flash Player :

apt-get update && apt-get install flashplugin-nonfree

Une fois l'installation terminée, pensez à relancer votre navigateur internet.

Pour voir si le plug-in est à jour :

update-flashplugin-nonfree --status
retour de la commande
Flash Player version installed on this system  : 24.0.0.186
Flash Player version available on upstream site: 25.0.0.148
flash-mozilla.so - auto mode
  link currently points to /usr/lib/flashplugin-nonfree/libflashplayer.so
/usr/lib/flashplugin-nonfree/libflashplayer.so - priority 50
Current 'best' version is '/usr/lib/flashplugin-nonfree/libflashplayer.so'.

Pour le mettre à jour :

update-flashplugin-nonfree --install

Pour le désinstaller :

update-flashplugin-nonfree --uninstall

Pour choisir entre différents plug-ins installés par les paquets Debian (Adobe Flash Player, GNU Gnash, autre) :

update-alternatives --config flash-mozilla.so

Bug (bogue, en bon françois) en cours : depuis janvier 2017, le script update-flashplugin-nonfree fourni par le paquet flashplugin-nonfree ne parvient plus à installer ou mettre à jour votre plug-in préféré :-(

Du fait d'un défaut de maintenance le script tente désespérément de télécharger une version obsolète du plug-in et la commande de mise à jour produit une erreur pour le moins explicite :

update-flashplugin-nonfree --install
retour de la commande
--2017-05-06 13:37:42--  https://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/flash_player_npapi_linux.x86_64.tar.gz
Résolution de fpdownload.adobe.com (fpdownload.adobe.com)… 2.20.10.36
Connexion à fpdownload.adobe.com (fpdownload.adobe.com)|2.20.10.36|:443… connecté.
requête HTTP transmise, en attente de la réponse… 404 Not Found
2017-05-06 13:37:42 erreur 404 : Not Found.
 
ERROR: wget failed to download https://fpdownload.adobe.com/get/flashplayer/pdc/24.0.0.186/flash_player_npapi_linux.x86_64.tar.gz
More information might be available at:
  http://wiki.debian.org/FlashPlayer

Différentes solutions manuelles (graphiques ou en ligne de commande) sont proposées sur le forumcelle-ci reste compatible avec le paquet flashplugin-nonfree, qui doit/peut être conservé.

Méthode d'installation de la dernière version du plug-in (méthode manuelle)

La méthode via les dépôts est toujours préférable. Celle-ci est conservée pour mémoire, au cas où Adobe cesserait à nouveau de mettre à jour son plug-in ;-)

Retrouvez les explications sur ce tuto : Installer la dernière version de Flash Player (23 Beta) pour Firefox.

Autres liens

1) N'hésitez pas à y faire part de vos remarques, succès, améliorations ou échecs !
doc/media/flash/flashplugin-nonfree.txt · Dernière modification: 07/05/2017 12:12 par èfpé

Pied de page des forums

Propulsé par FluxBB